#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 glirc
version:              2.39.0.1
visibility:           public
id:                   glirc-2.39.0.1-DH17bzgocua7QrIGMfPNic
key:                  glirc-2.39.0.1-DH17bzgocua7QrIGMfPNic
license:              ISC
copyright:            2016-2019 Eric Mertens
maintainer:           emertens@gmail.com
author:               Eric Mertens
homepage:             https://github.com/glguy/irc-core
synopsis:             Console IRC client
description:
    Console IRC client

    glirc is a console IRC client with an emphasis on providing
    dynamic views into the model of your IRC connections.

    <https://github.com/glguy/irc-core/wiki Documentation Wiki>

category:             Network
abi:                  5e476922d33b7f4725988d2d98195148
exposed:              True
exposed-modules:
    Client.Authentication.Ecdh Client.Authentication.Ecdsa
    Client.Authentication.Scram Client.CApi Client.CApi.Exports
    Client.CApi.Types Client.Commands Client.Commands.Arguments.Parser
    Client.Commands.Arguments.Renderer Client.Commands.Arguments.Spec
    Client.Commands.Certificate Client.Commands.Channel
    Client.Commands.Chat Client.Commands.Connection
    Client.Commands.Exec Client.Commands.Interpolation
    Client.Commands.Operator Client.Commands.Queries
    Client.Commands.Recognizer Client.Commands.TabCompletion
    Client.Commands.Toggles Client.Commands.Types
    Client.Commands.Window Client.Commands.WordCompletion
    Client.Commands.ZNC Client.Configuration
    Client.Configuration.Colors Client.Configuration.Macros
    Client.Configuration.ServerSettings Client.Configuration.Sts
    Client.EventLoop Client.EventLoop.Actions Client.EventLoop.Errors
    Client.EventLoop.Network Client.Hook Client.Hook.DroneBLRelay
    Client.Hook.Matterbridge Client.Hook.Snotice
    Client.Hook.Znc.Buffextras Client.Hooks Client.Image
    Client.Image.Layout Client.Image.LineWrap Client.Image.Message
    Client.Image.MircFormatting Client.Image.PackedImage
    Client.Image.Palette Client.Image.StatusLine Client.Image.Textbox
    Client.Log Client.Mask Client.Message Client.Network.Async
    Client.Network.Connect Client.Options Client.State
    Client.State.Channel Client.State.EditBox
    Client.State.EditBox.Content Client.State.Extensions
    Client.State.Focus Client.State.Network Client.State.Window
    Client.UserHost Client.View Client.View.Cert
    Client.View.ChannelInfo Client.View.Digraphs Client.View.Help
    Client.View.IgnoreList Client.View.KeyMap Client.View.MaskList
    Client.View.Mentions Client.View.Messages Client.View.Palette
    Client.View.RtsStats Client.View.UrlSelection Client.View.UserList
    Client.View.Windows

hidden-modules:
    ContextFilter DigraphQuote Digraphs LensUtils RtsStats StrQuote
    StrictUnit Paths_glirc Build_glirc

import-dirs:          /usr/lib/ghc-9.0.2/site-local/glirc-2.39.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/glirc-2.39.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/glirc
hs-libraries:         HSglirc-2.39.0.1-DH17bzgocua7QrIGMfPNic
include-dirs:         /usr/lib/ghc-9.0.2/site-local/glirc-2.39.0.1/include
includes:             include/glirc-api.h
depends:
    HsOpenSSL-0.11.7.6-9pqFXMoBvok33px9YGGnKV
    async-2.2.5-2AzmtmK8Ht1K5YVHzqnMlN
    attoparsec-0.14.4-1tcbLXz1Dqr3Mkx9osd1Tv base-4.15.1.0
    base64-bytestring-1.2.1.0-DmjE4B5kPu75fN834AjqPB
    bytestring-0.10.12.1 config-schema-1.3.0.0-Heyz6gnnjlGE7jiHMUz4kT
    config-value-0.8.3-3pmzeYU8Vb25WTAZFoPyxS containers-0.6.4.1
    curve25519-0.2.8-CVWNlXjm7GF5elz9X0a2Sw directory-1.3.6.2
    filepath-1.4.2.1 free-5.1.10-GML7ycJ39bqE6AFb6ctPby
    githash-0.1.6.3-CobNiuMgfo014JxT7gl0xa
    hashable-1.4.3.0-33I0iRzN4K6CKLvpp4LZ7a
    hookup-0.8-3Lhqx5DOCnvCp0ysG1UIHj
    irc-core-2.11-FSwjL5MTyT4KQ0jdQuftRL
    kan-extensions-5.2.5-DyGHagT9sZpAQ2sR8I1dae
    lens-5.2.3-1oqZttC5VrlImKrpZAhSiw
    network-3.1.4.0-FdTdnnvJv4pnhop8qDvVA process-1.6.13.2
    psqueues-0.2.8.0-FTt87jlFhJLGg10zoSdyID
    random-1.2.1.1-CHgxDo7s3JxE3u6VanaU7G
    regex-tdfa-1.3.2.2-EZ3lnAd3g4KFr62W9nn2hr
    split-0.2.5-F85B58YbDNO5Z7070vmhpx stm-2.5.0.0
    template-haskell-2.17.0.0 text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unordered-containers-0.2.20-F7LW31p7u1B2dWjdgteKaR
    vector-0.13.1.0-uzHHqo7lIz9I73C2bosU7
    vty-5.38-3MqfQ6WbBu3BVKFnJAUcCZ

haddock-interfaces:   /usr/share/doc/glirc/html/glirc.haddock
haddock-html:         /usr/share/doc/glirc/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

